"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const flattenJson_1 = require("./flattenJson");
(0, vitest_1.describe)("flattenJson", () => {
    (0, vitest_1.it)("should flatten a json object", () => {
        const obj = { a: { b: { c: "d", d: { e: "f" } } } };
        const flattened = (0, flattenJson_1.flattenJson)(obj);
        (0, vitest_1.expect)(flattened).toEqual([
            { key: "a.b.c", value: "d" },
            { key: "a.b.d.e", value: "f" },
        ]);
    });
});
