"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const unflattenJson_1 = require("./unflattenJson");
(0, vitest_1.describe)("unflattenJson", () => {
    (0, vitest_1.it)("should unflatten a flat JSON object", () => {
        const flatJson = {
            "a.b.c": "value1",
            "a.b.d": "value2",
            "a.e": "value3",
            f: "value4",
        };
        const unflattenedJson = (0, unflattenJson_1.unflattenJson)(flatJson);
        (0, vitest_1.expect)(unflattenedJson).toEqual({
            a: {
                b: {
                    c: "value1",
                    d: "value2",
                },
                e: "value3",
            },
            f: "value4",
        });
    });
});
